<script setup>
import { reactive } from "vue";
import { useRouter } from "vue-router";
import { mdiAccount, mdiAsterisk } from "@mdi/js";
import FullScreenSection from "@/components/FullScreenSection.vue";
import CardComponent from "@/components/CardComponent.vue";
import CheckRadioPicker from "@/components/CheckRadioPicker.vue";
import Field from "@/components/Field.vue";
import Control from "@/components/Control.vue";
import Divider from "@/components/Divider.vue";
import JbButton from "@/components/JbButton.vue";
import JbButtons from "@/components/JbButtons.vue";

const form = reactive({
  login: "john.doe",
  pass: "highly-secure-password-fYjUw-",
  remember: ["remember"],
});

const router = useRouter();

const submit = () => {
  router.push("/reset-password");
};
</script>

<template>
  <full-screen-section
    v-slot="{ cardClass, cardRounded }"
    bg="login"
    class="h-screen pt-10 px-4"
  >
    <div class="row w-full justify-between my-1 mb-4 px-32">
      <img src="@/assets/icons/logo.svg" />
    </div>
    <h5 class="text-center text-pink-250 font-semibold text-3xl mt-4">
      "Labour Care Guide"
    </h5>
    <div class="flex justify-center justify-items-center">
      <div class="px-14 py-10 md:w-5/12 w-full flex justify-center">
        <card-component
          :class="cardClass"
          :rounded="cardRounded"
          class="md:px-10 px-2 py-6 rounded-lg shadow-pink-150 shadow-lg"
          form
          @submit.prevent="submit"
        >
          <h5
            class="text-center text-black-250 font-semibold text-xl mb-4 pb-4"
          >
            Enter OTP
          </h5>
          <div class="mb-3 text-center">
            <label class="font-bold text-md mb-2 text-center"
              >We have sent an OTP on your Email</label
            >
            <p class="text-pink-250 text-center pb-4 pt-2">abhi@gmail.com</p>
            <div class="pt-2">
              <input
                class="h-10 w-10 mx-2 mb-1 border border-pink-250 text-pink-250 font-bold text-lg text-center rounded-md focus:outline-none focus:border-pink-150 transition-colors"
                placeholder="0"
                type="text"
              />
              <input
                class="h-10 w-10 mx-2 mb-1 border border-pink-250 text-pink-250 font-bold text-lg text-center rounded-md focus:outline-none focus:border-pink-150 transition-colors"
                placeholder="0"
                type="text"
              />
              <input
                class="h-10 w-10 mx-2 mb-1 border border-pink-250 text-pink-250 font-bold text-lg text-center rounded-md focus:outline-none focus:border-pink-150 transition-colors"
                placeholder="0"
                type="text"
              />
              <input
                class="h-10 w-10 mx-2 mb-1 border border-pink-250 text-pink-250 font-bold text-lg text-center rounded-md focus:outline-none focus:border-pink-150 transition-colors"
                placeholder="0"
                type="text"
              />
            </div>
            <p class="mt-8 text-center text-lg font-semibold">0:27</p>
          </div>

          <jb-buttons>
            <jb-button
              type="submit"
              color=""
              label="Submit"
              class="mt-2 bg-pink-250 text-white w-full font-normal py-3 rounded-lg"
            />
          </jb-buttons>
        </card-component>
      </div>
    </div>
  </full-screen-section>
</template>
